# H245_ConferenceResponse_mCTerminalIDResponse Class Reference

`#include <h245.h>`

Inheritance diagram for H245_ConferenceResponse_mCTerminalIDResponse:

List of all members.

## Public Member Functions

| H245_ConferenceResponse_mCTerminalIDResponse (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_TerminalLabel | m_terminalLabel
H245_TerminalID | m_terminalID

## Constructor & Destructor Documentation

H245_ConferenceResponse_mCTerminalIDResponse::H245_ConferenceResponse_mCTerminalIDResponse | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_ConferenceResponse_mCTerminalIDResponse::GetDataLength | ( |  | ) | const

PBoolean H245_ConferenceResponse_mCTerminalIDResponse::Decode | ( | PASN_Stream & | strm | ) |

void H245_ConferenceResponse_mCTerminalIDResponse::Encode | ( | PASN_Stream & | strm | ) | const

void H245_ConferenceResponse_mCTerminalIDResponse::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_ConferenceResponse_mCTerminalIDResponse::Compare | ( | const PObject & | obj | ) | const

PObject* H245_ConferenceResponse_mCTerminalIDResponse::Clone | ( |  | ) | const

## Member Data Documentation

H245_TerminalLabel H245_ConferenceResponse_mCTerminalIDResponse::m_terminalLabel

H245_TerminalID H245_ConferenceResponse_mCTerminalIDResponse::m_terminalID

The documentation for this class was generated from the following file:

- h245.h